<script type="text/javascript">
	window.addEvent('domready', function(){
		var username = $$('.signin-box input[name=username]')[0];
		var password = $$('.signin-box input[name=password]')[0];

		var t_username = "<?= __('username') ?>";
		var t_password = "<?= __('password') ?>";

		if ( username && password ) {

			username.addEvent('focus', function(){
				if ( this.get('value') == t_username ) {
					this.set('value', '');
				}
			});
			username.addEvent('blur', function(){
				if ( ! this.get('value').length ) {
					this.set('value', t_username);
				}
			});

			var initPassword = function(pass) {
				if ( pass.get('value') != t_password ) {
					pass.destroy();
					injectNewPassword();
				}

				pass.addEvent('focus', function() {
					this.destroy();
					injectNewPassword();
				});
			};

			var injectNewPassword = function() {
				var pass = new Element('input', {
					name: 'password',
					type: 'password',
					'class': 'password',
					value: ''
				}).inject(username.getParent('div').getNext('div.inner'), 'top');

				pass.addEvent('blur', function() {
					if ( ! this.get('value').length ) {
						this.destroy();
						var pass = new Element('input', {
							name: 'password',
							type: 'text',
							'class': 'password',
							value: t_password
						});
						pass.inject(username.getParent('div').getNext('div.inner'), 'top');
						initPassword(pass);
					}
				});

				pass.focus();
				pass.focus();
				pass.focus();
			};

			initPassword(password);
		}
	});
</script>
<div class="i">
	<div class="signin-box">

		<div class="signin-top-title"><?= __('login') ?></div>
		<div class="signin-title"><?= __('please_fill_form') ?></div>

		<div class="body">
			<form action="" method="post">
				
				<div class="inner">
					<input type="text" value="<?= __('username') ?>" name="username" class="username" maxlength="30" />
					<div class="clear"></div>
					<? if ( isset($this->errors['username']) ): ?><div class="error"><?= $this->errors['username'] ?></div><? endif ?>
				</div>
				<div class="clear"></div>
				
				<div class="inner">
					<input type="text" value="<?= __('password') ?>" name="password" class="password" maxlength="30" />
					<div class="clear"></div>
					<? if ( isset($this->errors['password']) ): ?><div class="error"><?= $this->errors['password'] ?></div><? endif ?>
				</div>
				<div class="clear"></div>

				<div class="forgot"><a href="<?= $this->getLink('forgot') ?>" rel="nofollow"><?= $this->t('forgot_passwd') ?></a></div>
				<div class="clear"></div>


				<div class="actions-wrapper">
					<div class="actions">
						<input type="reset" name="reset" value="<?= __('reset') ?>" />
						<input type="submit" name="login" value="<?= __('login') ?>" />
						<div class="clear"></div>
					</div>
				</div>

				
				<div class="errors">
					<? foreach ( $this->errors AS $err  ): ?>
						<p><?= $err ?></p>
					<? endforeach; ?>
				</div>
				
				<div class="clear"></div>
				
				<div class="bottom">
					<a href="<?= $this->getLink('signup') ?>"><?= $this->t('not_yet_member') ?></a>
					<p>Sollten immer noch Probleme bestehen, dann kontaktiere uns unter : info@and6.ch</p>
				</div>

			</form>
		</div>
	</div>
	<div class="clear"></div>
</div>
<div class="clear"></div>